Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class ReturnaddressType

    java.lang.Object
      org.apache.bcel.generic.Type
          org.apache.bcel.generic.ReturnaddressType

All Implemented Interfaces:
  Serializable

    public class ReturnaddressType

extends Type

Returnaddress, the type JSR or JSR_W instructions push upon the stack. see vmspec2 ß3.3.3

Version:
  $Id: ReturnaddressType.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary
`static ReturnaddressType` | `NO_TARGET`

Fields inherited from class org.apache.bcel.generic.Type
`BOOLEAN, BYTE, CHAR, CLASS, DOUBLE, FLOAT, INT, LONG, NO_ARGS, NULL, OBJECT, SHORT, signature, STRING, STRINGBUFFER, THROWABLE, type, UNKNOWN, VOID`

Constructor Summary
`ReturnaddressType(InstructionHandle returnTarget)` Creates a ReturnaddressType object with a target.

Method Summary
`boolean` | `equals(Object rat)` Returns if the two Returnaddresses refer to the same target.
`InstructionHandle` | `getTarget()`
`int` | `hashCode()`

Methods inherited from class org.apache.bcel.generic.Type
`getArgumentTypes, getMethodSignature, getReturnType, getSignature, getSignature, getSize, getType, getType, getType, getTypes, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_TARGET

    public static final ReturnaddressType NO_TARGET

Constructor Detail

### ReturnaddressType

    public ReturnaddressType(InstructionHandle returnTarget)

  Creates a ReturnaddressType object with a target.

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Type`
  Returns:
    a hash code value for the object.

### equals

    public boolean equals(Object rat)

  Returns if the two Returnaddresses refer to the same target.

  Overrides:
    `equals` in class `Type`
  Returns:
    whether the Types are equal

### getTarget

    public InstructionHandle getTarget()

  Returns:
    the target of this ReturnaddressType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.